import { SourceFile } from 'ts-morph';
import IssueCollector from './issue-collector.js';
import type { Report } from './types/issues.js';
type FileLabOptions = {
    issueManager: IssueCollector;
    report: Report;
    workspaceDirs: string[];
};
export default class SourceLab {
    issueManager: IssueCollector;
    report: Report;
    workspaceDirs: string[];
    skipExportsAnalysis: Set<unknown>;
    isReportExports: boolean;
    isReportValues: boolean;
    isReportTypes: boolean;
    constructor({ issueManager, report, workspaceDirs }: FileLabOptions);
    skipExportsAnalysisFor(filePath: string | string[]): void;
    analyzeSourceFile(sourceFile: SourceFile): string[];
    private analyzeExports;
}
export {};
